Subject: RE: Problem with stability of linux

From: "Fulton CR (Charles)" <[email-masked]>
Date: Thu, 6 Jul 2000 08:41:48 -0500

What motherboard and processors are you using? Have you tried using the
latest stable kernel (2.2.16)? 

Link to Linux-SMP FAQ - http://www.irisa.fr/prive/dmentre/smp-howto/ ,
specifically look at what kernel compile options you need to have your
.config. (mtrr, etc). There is some great information in the howto/faq. 

Hardware could be the problem.. (are you overclocking, etc?)  

-Charlie

------------------------------------------------------------------------
"Open your source and they will come" - various. 

Charles Fulton
Catalyst Skill Center
Union Carbide Corporation
S. Charleston, WV.  phone: (304) 747-3175 email: [email-masked]

> ----------
> From: 	Krzysztof Radacki[SMTP:[email-masked]]
> Sent: 	Monday, July 03, 2000 1:08 PM
> To: 	[email-masked]
> Subject: 	CCL:Problem with stability of linux
> 
> 
> Hi,
> I got some problems with the linux-box on which I work.
> Real often the maschine hang during gaussian calculations
> in SMP-modus with following message (just example):
> ====
> Unable to handle kernel NULL pointer dereference at virtual adress
> 00000018
> current -> tss.cr3 = 0e0a6000, %cr3 = 0e0a6000
> *pde = 00000000
> Oops = 0000
> CPU = 1
> EIP = 0010: [<c0111478>]
> EFLAGS: 00010207
> ax: a7553000 ebx: daad4000 ecx: 00000000 edx: c023c000
> esi: 00000000 edi: 00000000 edp: daad5fbe esp: daad5f9c
> de: 0018  ec: 0018  sw: 0019
> Process l502.exe (pid:727, process nr:7, stackpage: daad5f9c
> Stack: 00000000....... some lines
> CallTrace : [<c0...>]
> Code: 8b 41 18 c1 f8 d1 03 41 1c 89 41 18
> 8b 49 34 81 f9 00 c0 23
> ======
> The questions: why  and what should I do again   :)
> Is it problem of software (I've change the kernel and I can't see any =
> difference),
> is it SMP-hardware or maybe memory? How can I test it?
> 
> regards
> Krzys Radacki
> 
> 
> -= This is automatically added to each message by mailing script =-
> [email-masked] -- To Everybody    |   [email-masked] -- To
> Admins
> [email-masked] -- HELP CHEMISTRY or HELP SEARCH
> [email-masked] -- archive search    |    Gopher: gopher.ccl.net
> 70
> Ftp: ftp.ccl.net  |  WWW: http://www.ccl.net/chemistry/   | Jan:
> [email-masked]
> 
> 
> 
> 
>